#include <bits/stdc++.h>

using namespace std;

int main()
{
	int n;
	cin >> n;
	int x[n],y[n],z[n];
	for(int i = 0; i < n; i++)
	{
		cin >> x[i];
	}
	for(int i = 0; i < n; i++)
	{
		cin >> y[i];
	}
	for(int i = 0; i < n; i++)
	{
		cin >> z[i];
	}
	int br = 0;
	for(int i = 0; i < n; i++)
	{
		for(int j = 0; j < n; j++)
		{
			if(x[i]==y[z[j]-1])
			{
				br++;
			}
		}
	}
	cout << br;
	return 0;
}